Magick++ 7.1.0

Public Member Functions | List of all members
Magick::Drawable Class Reference

`#include <Drawable.h>`

## Public Member Functions
| Drawable (void)
| Drawable (const DrawableBase &original_)
| ~Drawable (void)
| Drawable (const Drawable &original_)
Drawable & | operator= (const Drawable &original_)
void | operator() (MagickCore::DrawingWand *) const

## Detailed Description

Definition at line 120 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ Drawable() [1/3]

Magick::Drawable::Drawable | ( | void |  | ) |

Definition at line 82 of file Drawable.cpp.

## ◆ Drawable() [2/3]

Magick::Drawable::Drawable | ( | const DrawableBase & | original_ | ) |

Definition at line 87 of file Drawable.cpp.

## ◆ ~Drawable()

Magick::Drawable::~Drawable | ( | void |  | ) |

Definition at line 92 of file Drawable.cpp.

## ◆ Drawable() [3/3]

Magick::Drawable::Drawable | ( | const Drawable & | original_ | ) |

Definition at line 98 of file Drawable.cpp.

## Member Function Documentation

## ◆ operator()()

void Magick::Drawable::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

Definition at line 120 of file Drawable.cpp.

## ◆ operator=()

Magick::Drawable & Magick::Drawable::operator= | ( | const Drawable & | original_ | ) |

Definition at line 104 of file Drawable.cpp.

References Magick::DrawableBase::copy().

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp